Providers
List provider credentials
GET /v1/credentials · SDK listProviderCredentials · CLI deployments credential list
GET
platformBearerheader
AuthorizationBearer <token>Platform bearer credential accepted as an opaque API key or JWT.
cursor?stringLength
1 <= length <= 4096limit?integerRange
1 <= value <= 100x-deployments-environment*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$ListProviderConnectionsResponse
application/json- response
items*array<>nextCursor*string|nullcurl -X GET "https://example.com/v1/credentials" \ -H "x-deployments-environment: string"{ "items": [ { "authMethod": "string", "createdAt": "2019-08-24T14:15:22Z", "displayName": "string", "externalAccountId": "string", "externalAccountName": "string", "hasCredential": true, "id": "string", "lastVerifiedAt": "2019-08-24T14:15:22Z", "providerApplicationId": "string", "providerKey": "string", "refreshAfter": "2019-08-24T14:15:22Z", "scopes": [ "string" ], "status": "string", "updatedAt": "2019-08-24T14:15:22Z", "version": 0 } ], "nextCursor": "string"}